; ------------------------------------------------------------------------------------------------
; HYDRA NOTES
; Class: Sidebar

[Rainmeter]
Update=1000

[Metadata]
Name=Hydra
Config=Hydra | sidebar | Notes
Description=This skin reads the contents of a simple text file.
Instructions=Click the icon to edit your notes.
Version=1
Tags=Notes | Sidebar
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0
Preview=

[Variables]
notes=#SKINSPATH#\Hydra\Resources\notes.txt


; ------------------------------------------------------------------------------------------------
; MEASURES

[MeasureTitle]
Measure=Plugin
Plugin=WebParser.dll
Url=file://#SKINSPATH#\Hydra\Resources\notes.txt
RegExp="(?siU)<title>(.*)</title>.*<notes>(.*)</notes>"
StringIndex=1
UpdateRate=10

[MeasureNotes]
Measure=Plugin
Plugin=WebParser.dll
Url=[MeasureTitle]
StringIndex=2
Substitute="- ":"· "


; ------------------------------------------------------------------------------------------------
; METER


[Background]
Meter=IMAGE
SolidColor=255, 255, 255, 255
X=0
Y=1
W=0
H=100

[Icon]
meter=image
imagename=#SKINSPATH#\Hydra\Resources\circle1.png
X=0
Y=3
W=20
H=20
LeftMouseDownAction=!Execute [!RainmeterShowMeter IconActive][!RainmeterHideMeter Icon][!RainmeterRedraw]

[IconActive]
meter=image
imagename=#SKINSPATH#\Hydra\Resources\circle2.png
X=r
Y=r
W=20
H=20
hidden=1
LeftMouseUpAction=!execute ["#SKINSPATH#\Hydra\Resources\notes.txt"][!RainmeterShowMeter Icon][!RainmeterHideMeter IconActive][!RainmeterRedraw]


[Title]
Meter=STRING
MeasureName=MeasureTitle
X=27
Y=6
H=15
W=150
FontColor=ae1b1b
FontSize=12
FontFace=Xirod
AntiAlias=1

[Notes]
Meter=STRING
MeasureName=MeasureNotes
X=2
Y=19
W=186
H=200
FontColor=255, 255, 255, 200
FontFace=Xirod
FontSize=6
StringAlign=LEFT
StringStyle=NORMAL
AntiAlias=1
ClipString=1